package com.fs.his.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fs.his.domain.FsDfAccount;
import org.apache.ibatis.annotations.Param;

/**
 * 代服账户Mapper接口
 *
 * @author fs
 * @date 2025-10-13
 */
public interface FsDfAccountMapper extends BaseMapper<FsDfAccount>{
    /**
     * 查询代服账户
     *
     * @param id 代服账户主键
     * @return 代服账户
     */
    FsDfAccount selectFsDfAccountById(Long id);

    /**
     * 查询代服账户列表
     *
     * @param fsDfAccount 代服账户
     * @return 代服账户集合
     */
    List<FsDfAccount> selectFsDfAccountList(FsDfAccount fsDfAccount);

    /**
     * 新增代服账户
     *
     * @param fsDfAccount 代服账户
     * @return 结果
     */
    int insertFsDfAccount(FsDfAccount fsDfAccount);

    /**
     * 修改代服账户
     *
     * @param fsDfAccount 代服账户
     * @return 结果
     */
    int updateFsDfAccount(FsDfAccount fsDfAccount);

    /**
     * 删除代服账户
     *
     * @param id 代服账户主键
     * @return 结果
     */
    int deleteFsDfAccountById(Long id);

    /**
     * 批量删除代服账户
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteFsDfAccountByIds(Long[] ids);

    FsDfAccount selectFsDfAccountByAccount(@Param("loginAccount") String loginAccount);
}
